<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: cume_dist</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for cume_dist {SparkR}"><tr><td>cume_dist {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>cume_dist</h2>

<h3>Description</h3>

<p>Window function: returns the cumulative distribution of values within a window partition,
i.e. the fraction of rows that are below the current row.
</p>


<h3>Usage</h3>

<pre>
## S4 method for signature 'missing'
cume_dist()

cume_dist(x)
</pre>


<h3>Details</h3>

<p>N = total number of rows in the partition
cume_dist(x) = number of values before (and including) x / N
</p>
<p>This is equivalent to the CUME_DIST function in SQL.
</p>


<h3>See Also</h3>

<p>Other window_funcs: <code><a href="dense_rank.html">dense_rank</a></code>,
<code><a href="dense_rank.html">dense_rank</a></code>; <code><a href="lag.html">lag</a></code>,
<code><a href="lag.html">lag</a></code>; <code><a href="lead.html">lead</a></code>,
<code><a href="lead.html">lead</a></code>; <code><a href="ntile.html">ntile</a></code>,
<code><a href="ntile.html">ntile</a></code>; <code><a href="percent_rank.html">percent_rank</a></code>,
<code><a href="percent_rank.html">percent_rank</a></code>; <code><a href="rank.html">rank</a></code>,
<code><a href="rank.html">rank</a></code>; <code><a href="row_number.html">row_number</a></code>,
<code><a href="row_number.html">row_number</a></code>
</p>


<h3>Examples</h3>

<pre>
## Not run: cume_dist()
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
